PostgreSQL 8.1.3 Documentation
Prev | Fast Backward | Chapter 17. Server Configuration | Fast Forward | Next

# 17.16. Short Options

For convenience there are also single letter command-line option switches available for some parameters. They are described in Table 17-1.

Table 17-1. Short option key

Short option | Equivalent
--- | ---
`-B `x`` | `shared_buffers = `x``
`-d `x`` | `log_min_messages = DEBUG`x``
`-F` | `fsync = off`
`-h `x`` | `listen_addresses = `x``
`-i` | `listen_addresses = '*'`
`-k `x`` | `unix_socket_directory = `x``
`-l` | `ssl = on`
`-N `x`` | `max_connections = `x``
`-p `x`` | `port = `x``
`-fb`, `-fh`, `-fi`, `-fm`, `-fn`, `-fs`, `-ft`[a] | `enable_bitmapscan = off`, `enable_hashjoin = off`, `enable_indexscan = off`, `enable_mergejoin = off`, `enable_nestloop = off`, `enable_seqscan = off`, `enable_tidscan = off`
`-s`[a] | `log_statement_stats = on`
`-S `x``[a] | `work_mem = `x``
`-tpa`, `-tpl`, `-te`[a] | `log_parser_stats = on`, `log_planner_stats = on`, `log_executor_stats = on`

Notes:
a. For historical reasons, these options must be passed to the individual server process via the `-o` `postmaster` option, for example,

    $ postmaster -o '-S 1024 -s'

or via `PGOPTIONS` from the client side, as explained above.

Prev | Home | Next
Developer Options | Up | Database Roles and Privileges